Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### concat()

Examples

    String[] sa1 = { "OH ", "NY ", "CA "};
    String[] sa2 = { "KY ", "IN ", "MA "};
    String[] sa3 = concat(sa1, sa2);
    println(sa3);  // Prints OH, NY, CA, KY, IN, MA

Description | Concatenates two arrays. For example, concatenating the array { 1, 2, 3 } and the array { 4, 5, 6 } yields { 1, 2, 3, 4, 5, 6 }. Both parameters must be arrays of the same datatype. When using an array of objects, the data returned from the function must be cast to the object array's data type. For example: SomeClass[] items = (SomeClass[]) concat(array1, array2).

Syntax

    concat(array1, array2)

Parameters

array1, array2 | boolean[], byte[], char[], int[], float[], String[], or an array of objects

Usage | Web & Application
Related | splice()

Updated on February 09, 2008 04:38:52pm PST